Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3544 - When applying changes linuxconf complains about postmaster
Summary: When applying changes linuxconf complains about postmaster
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: postgresql
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-17 21:01 UTC by dmsand2
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-12 15:44:04 UTC


Attachments (Terms of Use)

Description dmsand2 1999-06-17 21:01:48 UTC
because the postgresql-data is not installed, linuxconf
complains when you try to apply the changes (i.e., add
a new user).  I get the following message when I view the
log:

Starting postgresql service: /usr/bin/postmaster does not
find the
database system.  Expected to find it in the PGDATA
directory
"/var/lib/pgsql", but unable to open file with pathname
"/var/lib/pgsql/base/template1/pg_class".

No data directory -- can't proceed.
postmaster []

Comment 1 Michael K. Johnson 1999-11-22 18:42:59 UTC
Those messages are only being reported via linuxconf, they do not
originate with linuxconf.

Comment 2 Jeff Johnson 2000-01-12 15:44:59 UTC
I believe this problem is fixed by starting postgresql differently in
postgresql-6.5.2 and later.


Note You need to log in before you can comment on or make changes to this bug.